Pomoć s Jenssegers/laravel-mongodb

Pozdrav.

Radimo na jednom projektu preko GitHuba, koji je na Laravelu 4 i koristi MongoDB.Za MongoDB koristimo paket jenssegers/laravel-mongodb.

Instalirao sam Mongo PHP Driver na XAMPP i on vjerovatno radi

Kada pokrenem composer require jenssegers/mongodb ~4.2 dobijem sljedecu gresku

Evo kako izgleda nas composer.json file

{
    "name": "laravel/laravel",
    "description": "The Laravel Framework.",
    "keywords": ["framework", "laravel"],
    "license": "MIT",
    "require": {
        "laravel/framework": "4.2.*",
        "jenssegers/mongodb": "~2.0",
        "way/generators": "~2.0"
    },
    "autoload": {
        "classmap": [
            "app/commands",
            "app/controllers",
            "app/models",
            "app/database/migrations",
            "app/database/seeds",
            "app/tests/TestCase.php"
        ]
    },
    "scripts": {
        "post-install-cmd": [
            "php artisan clear-compiled",
            "php artisan optimize"
        ],
        "post-update-cmd": [
            "php artisan clear-compiled",
            "php artisan optimize"
        ],
        "post-create-project-cmd": [
            "php artisan key:generate"
        ]
    },
    "config": {
        "preferred-install": "dist"
    },
    "minimum-stability": "stable"
}

Ajde probaj ovako:

  1. composer self-update - da ti prestane bacati warning
  2. composer require jenssegers/mongodb

To ce ti vjerojatno skinut najnoviju verziju tako da odi na https://github.com/jenssegers/laravel-mongodb/tree/4.2 i git clonaj si 4.2 verziju :smiley:

composer require jenssegers/mongodb je namjenjen za L5, ako mogu tako da se izrazim jer ce skinuti verziju kompatibilnu sa L5 odnosno latest, a ukoliko se udari ta komnda na L4 dobiti ce se samo greska.

Pa imas tu verziju 4.2 https://github.com/jenssegers/laravel-mongodb/tree/4.2 i izbrises ove L5 filove i skines ove za 4.2 ili jos bolje umjesto
composer required napravi
git clone https://github.com/jenssegers/laravel-mongodb.git u vendor

Mozes li malo bolje pojasniti, jer ja sam front-end developer, ovo radim samo zato sto moram.

Ajde javit cu ti se na PM :slight_smile:


Copyright © 2020 WM Forum - AboutContact - Sponsored by: Mydataknox & Profit Monkey